Page MenuHomeFreeBSD

sysutils/datadog: new port PR208561
ClosedPublic

Authored by dch on Nov 11 2020, 7:38 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jul 14, 4:57 AM
Unknown Object (File)
Sun, Jul 14, 4:24 AM
Unknown Object (File)
Jun 22 2024, 4:11 AM
Unknown Object (File)
Jun 3 2024, 10:31 PM
Unknown Object (File)
Jun 3 2024, 10:33 AM
Unknown Object (File)
May 31 2024, 9:34 AM
Unknown Object (File)
May 29 2024, 8:24 AM
Unknown Object (File)
May 10 2024, 6:09 PM
Subscribers

Details

Summary

Eponymous server and application monitoring and reporting agent from
DataDogHQ.com

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

dch requested review of this revision.Nov 11 2020, 7:38 PM
dch created this revision.
This revision was not accepted when it landed; it landed in state Needs Review.Nov 11 2020, 8:25 PM
This revision was automatically updated to reflect the committed changes.
mikael added inline comments.
head/sysutils/datadog/Makefile
3

Why the port is named datadog and not datadog-agent?

15

What kind of failures?

17–19

not sorted

21

Why don't you use go:modules?

28

GH_ACCOUNT is not needed

30–31

Why these 2 lines are needed?

35

404

321

Why do you delete go.mod?

351–359

You can use GO_TARGET and put CGO_CFLAGS, CGO_LDFLAGS and GO_BUILDFLAGS in their own lines.
do-build is probably not needed

372–376

You can use one MKDIR only.

383–385

any reason to skip dogstatsd? for loop?

390

make -C ${WRKSRC}/rtloader

398–399

You can use a glob

head/sysutils/datadog/Makefile
23

That seems really weird as a prefix: /usr/local/bin/datadog

23–25

These variables should be defined later (after the USE_*)

310

It should be defined with the other USE_x